%define oname pyliblzma
%define module lzma

Summary:	Python bindings for the LZMA compression library
Name:		python-%{module}
Version:	0.5.3
Release:	%mkrel 4
License:	LGPLv3+
Group:		Development/Python
Url:		https://launchpad.net/pyliblzma
Source0:	http://pypi.python.org/packages/source/p/pyliblzma/%{oname}-%{version}.tar.bz2
BuildRequires:	lzma-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools
Provides:	%{oname}
Obsoletes:	%{oname}

%description
Python bindings for the LZMA compression library.

%prep
%setup -qn %{oname}-%{version}

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files
%doc README NEWS COPYING ChangeLog
%{python_sitearch}/*.py*
%{python_sitearch}/pyliblzma*.egg-info
%{python_sitearch}/lzma.so



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.5.3-4.mga4
+ Revision: 543768
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.3-3.mga4
+ Revision: 498875
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 379088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 0.5.3-1.mga2
+ Revision: 144440
- update to 0.5.3
  correct license
  correct homepage, tarballname, original name (too many similar python lzma tarballs)
  clean spec file (buildroot, defattr)
- imported package python-lzma


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 0.5.2-3mdv2011.0
+ Revision: 601639
- rebuild for new liblzma

* Sun Oct 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.5.2-2mdv2011.0
+ Revision: 590769
- rebuild for new python 2.7

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.0-8mdv2010.0
+ Revision: 442306
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.3.0-7mdv2009.1
+ Revision: 320170
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.3.0-6mdv2009.0
+ Revision: 259681
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.0-5mdv2009.0
+ Revision: 247505
- rebuild

* Sun Feb 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-3mdv2008.1
+ Revision: 161881
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-2mdv2008.0
+ Revision: 85744
- fix file list
- new name
- package docs
- python module name compiliant

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 40301
- Import pylzma

